Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.types
Class FeatureSequenceWithBigrams

    java.lang.Object
      cc.mallet.types.FeatureSequence
          cc.mallet.types.FeatureSequenceWithBigrams

All Implemented Interfaces:
  AlphabetCarrying, Sequence, java.io.Serializable

    public class FeatureSequenceWithBigrams

extends FeatureSequence

A FeatureSequence with a parallel record of bigrams, kept in a separate dictionary

Author:
  Andrew McCallum
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `deletionMark`

Constructor Summary
`FeatureSequenceWithBigrams(Alphabet dict, Alphabet bigramDictionary, TokenSequence ts)`

Method Summary
`Alphabet` | `getBiAlphabet()`
`int` | `getBiIndexAtPosition(int pos)`
`java.lang.Object` | `getObjectAtPosition(int pos)`

Methods inherited from class cc.mallet.types.FeatureSequence
`add, add, addFeatureWeightsTo, addFeatureWeightsTo, alphabetsMatch, get, getAlphabet, getAlphabets, getFeatures, getIndexAtPosition, getLength, growIfNecessary, prune, size, toFeatureIndexSequence, toSortedFeatureIndexSequence, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### deletionMark

    public static final java.lang.String deletionMark

See Also:
  Constant Field Values

Constructor Detail

### FeatureSequenceWithBigrams

    public FeatureSequenceWithBigrams(Alphabet dict,
                                      Alphabet bigramDictionary,
                                      TokenSequence ts)

Method Detail

### getBiAlphabet

    public Alphabet getBiAlphabet()

### getBiIndexAtPosition

    public final int getBiIndexAtPosition(int pos)

### getObjectAtPosition

    public java.lang.Object getObjectAtPosition(int pos)

  Overrides:
    `getObjectAtPosition` in class `FeatureSequence`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD